Telegram APIMessages
messages.reportEncryptedSpam
Report a secret chat for spam
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Report a secret chat for spam
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.reportEncryptedSpam" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputEncryptedChat", "chatId": 0, "accessHash": "string" } } }'{ "result": true}report
Report a message in a chat for violation of telegram's Terms of Service
reportMessagesDelivery
Used for [Telegram Gateway verification messages »](https://telegram.org/blog/star-messages-gateway-2-0-and-more#save-even-more-on-user-verification): indicate to the server that one or more `RawMessage`s were received by the client, if requested by the `RawMessage`.report_delivery_until_date flag or the equivalent flag in [push notifications](https://core.telegram.org/api/push-updates).